Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraft.item
Enum EnumRarity

    java.lang.Object
      java.lang.Enum<EnumRarity>
          net.minecraft.item.EnumRarity

All Implemented Interfaces:
  Serializable, Comparable<EnumRarity>

    public enum EnumRarity

extends Enum<EnumRarity>

Enum Constant Summary
`common`
`epic`
`rare`
`uncommon`

Field Summary
`int` | `rarityColor` A decimal representation of the hex color codes of a the color assigned to this rarity type.
`String` | `rarityName` Rarity name.

Method Summary
`static EnumRarity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumRarity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### common

    public static final EnumRarity common

### uncommon

    public static final EnumRarity uncommon

### rare

    public static final EnumRarity rare

### epic

    public static final EnumRarity epic

Field Detail

### rarityColor

    public final int rarityColor

  A decimal representation of the hex color codes of a the color assigned to this rarity type. (13 becomes d as in \247d which is light purple)

### rarityName

    public final String rarityName

  Rarity name.

Method Detail

### values

    public static EnumRarity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnumRarity c : EnumRarity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnumRarity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD